import QtQuick 2.1
import QtQuick.Window 2.1
import QtGraphicalEffects 1.12



Rectangle {
    id : window

    color: "transparent"

    property real imageSize : Screen.height / 22.5  //旋转大小(48*48)
    property string splashImage  : background

    Item {
        id: content
        anchors.fill: parent
        opacity: 1

        //背景图片
        Image {
            id: logo
            anchors.fill: parent
            source: splashImage
            sourceSize.width: Screen.width
            sourceSize.height: Screen.height
        }

        //旋转图标
        Image {
            id: busyIndicator
            anchors.centerIn: parent
            source: "loadingWhite/ukui-loading-0-symbolic.svg"
            sourceSize.height: imageSize
            sourceSize.width: imageSize
            RotationAnimation {
                id: rotationAnimator
                from: 0
                to: 360
                property: "rotation"
                target: busyIndicator
                duration: 1000
                loops: Animation.Infinite
                running: true
            }
        }
    }
}


